using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Application.Exam.Extensions
{
    public static class CollectionExtensions
    {
        public static List<T> AddRangeExt<T>(this List<T> collection, List<T> extand)
        {
            if (extand != null)
                collection.AddRange(extand);

            return collection;
        }

        public static bool IsNotNullOrEmpty<T>(this List<T> collection)
        {
            if (collection == null) return false;

            return collection.Any();
        }
    }
}
